org.apache.tapestry5.internal.plastic

## Class SuccessMethodInvocationResult

- java.lang.Object
- - org.apache.tapestry5.internal.plastic.SuccessMethodInvocationResult

- All Implemented Interfaces:
    MethodInvocationResult

      public class SuccessMethodInvocationResult
      extends Object
      implements MethodInvocationResult

  A successful method invocation; one that did not throw a checked exception.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SuccessMethodInvocationResult(Object returnValue)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `didThrowCheckedException()` Returns true if the method invocation threw a checked exception.
    `<T extends Throwable> T` | `getCheckedException(Class<T> exceptionType)` Retrieves the checked exception assignable to the indicated type, or null if the invocation did not throw a checked exception or the thrown exception is not assignable.
    `Object` | `getReturnValue()` Returns the actual value returned from the method invocation, if any.
    `void` | `rethrow()` If the invocation threw a checked exception, then this method throws that exception wrapped as the cause of a new RuntimeException.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SuccessMethodInvocationResult

          public SuccessMethodInvocationResult(Object returnValue)

  - ### Method Detail

    - #### getReturnValue

          public Object getReturnValue()

      Description copied from interface: `MethodInvocationResult`
      Returns the actual value returned from the method invocation, if any. This will be null if the invocation threw a checked exception, or the method itself is void.
      Specified by:
        `getReturnValue` in interface `MethodInvocationResult`

    - #### rethrow

          public void rethrow()

      Description copied from interface: `MethodInvocationResult`
      If the invocation threw a checked exception, then this method throws that exception wrapped as the cause of a new RuntimeException. Otherwise, this method does nothing.
      Specified by:
        `rethrow` in interface `MethodInvocationResult`

    - #### didThrowCheckedException

          public boolean didThrowCheckedException()

      Description copied from interface: `MethodInvocationResult`
      Returns true if the method invocation threw a checked exception.
      Specified by:
        `didThrowCheckedException` in interface `MethodInvocationResult`

    - #### getCheckedException

          public <T extends Throwable> T getCheckedException(Class<T> exceptionType)

      Description copied from interface: `MethodInvocationResult`
      Retrieves the checked exception assignable to the indicated type, or null if the invocation did not throw a checked exception or the thrown exception is not assignable.
      Specified by:
        `getCheckedException` in interface `MethodInvocationResult`

${project.version} - Copyright © 2003-2015 The Apache Software Foundation.